# Get a  payout adjusting of the affiliate

| HTTP method | Endpoint                                             |
| ----------- | ---------------------------------------------------- |
| **GET**     | **/v1/affiliates/{affiliate\_id}/payout\_adjusting** |

**Note: with this setting, the payout of all offers under this affiliate will follow this rule. (Except the offers with custom affliate payout and VBT settings)**

## Path parameters <a href="#path-parameters-0" id="path-parameters-0"></a>

| Parameter     | Description                      |
| ------------- | -------------------------------- |
| affiliate\_id | The unique id for the affiliate. |

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field           | Type    | Description          |
| --------------- | ------- | -------------------- |
| id              | integer | Affiliate payout id. |
| aff\_id         | integer | Affiliaite id        |
| adjusting\_type | integer | adjusting type       |
| percent         | integer | Percent              |
| create\_time    | string  | Create time.         |
| update\_time    | string  | update\_time.        |

## Example request <a href="#example-request" id="example-request"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/affiliates/5599/payout_adjusting>

**Request GET** <http://{networkname}.api.offerslook.com/v1/affiliates/5599/payout_adjusting>

## Example response <a href="#example-response" id="example-response"></a>

```
{
    "code": 0,
    "message": "Success",
    "data": {
        "affiliate_payout_adjusting": {
            "id": 4,
            "aff_id": 5599,
            "adjusting_type": 2,
            "percent": 19,
            "create_time": 1562153209,
            "update_time": 1562153866
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliates/sub-resources/payout_adjusting/get_a_payout_adjusting_of_the_affiliate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
